Subject: Re: [RFC] New driver API to speed up small packets xmits

From: Gagan Arneja <[email-masked]>
Date: Thu, 10 May 2007 22:57:54 -0700

> 
> Right, but I am the sole dequeue'r, and on failure, I requeue those packets
> to
> the beginning of the queue (just as it would happen in the regular case of
> one
> packet xmit/failure/requeue).

What about a race between trying to reacquire queue_lock and another 
failed transmit?

--
Gagan

> - KK